---
title: VRDisplay.isPresenting
slug: Web/API/VRDisplay/isPresenting
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - isPresenting
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>isPresenting</strong></code> read-only property of the {{domxref("VRDisplay")}} interface returns a {{domxref("Boolean")}} indicating whether the <code>VRDisplay</code> is currently having content presented through it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var isItPresenting = vrDisplayInstance.isPresenting;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}; <code>true</code> means the display is presenting; <code>false</code> means it isn't.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">function onVRExitPresent () {
  // No sense in exiting presentation if we're not actually presenting.
  // (This may happen if we get an event like vrdisplaydeactivate when
  // we weren't presenting.)
  if (!vrDisplay.isPresenting)
    return;
  vrDisplay.exitPresent().then(function () {
    // Nothing to do because we're handling things in onVRPresentChange.
  }, function (err) {
    var errMsg = "exitPresent failed.";
    if (err &amp;&amp; err.message) {
      errMsg += "&lt;br/&gt;" + err.message
    }
    VRSamplesUtil.addError(errMsg, 2000);
  });
}</pre>

<div class="note">
<p><strong>Note</strong>: Code snippet taken from <a href="https://github.com/toji/webvr.info/blob/master/samples/03-vr-presentation.html">Google's VR Presentation demo</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-ispresenting', 'isPresenting')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.isPresenting")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
